# ClearSync Plugin RPM spec
Name: csplugin-routewatch
Version: 2.3
Release: 1%{dist}
Vendor: ClearFoundation
License: GPL
Group: System/Plugins
Packager: ClearFoundation
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
Requires: clearsync >= 1.5 /sbin/service /usr/bin/sudo
BuildRequires: autoconf = 2.63
BuildRequires: automake >= 1.11.1-4
BuildRequires: libtool >= 2.2.6
BuildRequires: clearsync-devel >= 1.5
BuildRequires: expat-devel
Summary: ClearSync route watch plugin
Requires(pre): /sbin/ldconfig

%description
This plugin monitors the routing table for changes and can
execute configurable actions.
Report bugs to: http://www.clearfoundation.com/docs/developer/bug_tracker/

# Build
%prep
%setup -q
./autogen.sh
%{configure}

%build
make %{?_smp_mflags}

# Install
%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libcsplugin-routewatch.a
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libcsplugin-routewatch.la

# Clean-up
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Post install
%post
/sbin/ldconfig
/sbin/service clearsyncd condrestart >/dev/null 2>&1 || :

# Add command(s) to sudo configuration
CHECK=`grep "^clearsync[[:space:]]*" /etc/sudoers`
if [ -z "$CHECK" ]; then
    echo "Cmnd_Alias CLEARSYNC = " >> /etc/sudoers
	echo "clearsync ALL=NOPASSWD: CLEARSYNC" >> /etc/sudoers
fi

CMD=/sbin/service
LINE=`grep "^Cmnd_Alias CLEARSYNC" /etc/sudoers 2>/dev/null`
CHECK=`echo $LINE, | grep $CMD,`
if [ -z "$CHECK" ]; then
	ESCAPE=`echo $CMD | sed 's/\//\\\\\//g'`
	sed -i -e "s/Cmnd_Alias CLEARSYNC.*=/Cmnd_Alias CLEARSYNC = $ESCAPE,/i" /etc/sudoers
	sed -i -e "s/[[:space:]]*,[[:space:]]*$//i" /etc/sudoers
	chmod 440 /etc/sudoers
fi
CMD=/usr/sbin/firewall-start
LINE=`grep "^Cmnd_Alias CLEARSYNC" /etc/sudoers 2>/dev/null`
CHECK=`echo $LINE, | grep $CMD,`
if [ -z "$CHECK" ]; then
	ESCAPE=`echo $CMD | sed 's/\//\\\\\//g'`
	sed -i -e "s/Cmnd_Alias CLEARSYNC.*=/Cmnd_Alias CLEARSYNC = $ESCAPE,/i" /etc/sudoers
	sed -i -e "s/[[:space:]]*,[[:space:]]*$//i" /etc/sudoers
	chmod 440 /etc/sudoers
fi

# Post uninstall
%postun
/sbin/ldconfig
/sbin/service clearsyncd condrestart >/dev/null 2>&1 || :

# Files
%files
%defattr(-,root,root)
%{_libdir}/libcsplugin-routewatch.so*

